<?php

namespace App\Http\Controllers;

use App\Models\KelompokTani;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class KelompokTaniController extends Controller
{
    
    // Menampilkan semua data kelompok tani
    public function index()
    {
    $user = Auth::user();

    if (!$user || $user->role !== 'super_admin') {
        abort(403, 'Anda tidak punya akses.');
    }

        $kelompokTani = KelompokTani::all();
        return view('admin.kelompoktani', [
            'kelompokTani' => $kelompokTani,
            'title' => 'Kelola Kelompok Tani'
        ]);
    }

    // Menyimpan data kelompok tani baru
    public function store(Request $request)
    {
        $user = Auth::user();

    if (!$user || $user->role !== 'super_admin') {
        abort(403, 'Anda tidak punya akses.');
    }
        $request->validate([
            'nama' => 'required|string|max:255',
        ]);

        KelompokTani::create([
            'nama' => $request->nama,
        ]);

        return redirect()->route('kelompoktani.index')->with('success', 'Kelompok Tani berhasil ditambahkan.');
    }

    // Menampilkan form edit (kalau pakai modal, bagian ini tidak dipakai)
    // public function edit(string $id)
    // {
    //     $kelompok = KelompokTani::findOrFail($id);
    //     return view('admin.edit-kelompok', compact('kelompok'));
    // }

    // Update data kelompok tani
    public function update(Request $request, string $id)
    {
        $user = Auth::user();

    if (!$user || $user->role !== 'super_admin') {
        abort(403, 'Anda tidak punya akses.');
    }
        $request->validate([
            'nama' => 'required|string|max:255',
        ]);

        $kelompok = KelompokTani::findOrFail($id);
        $kelompok->update([
            'nama' => $request->nama,
        ]);

        return redirect()->route('kelompoktani.index')->with('success', 'Kelompok Tani berhasil diperbarui.');
    }

    // Hapus data kelompok tani
    public function destroy(string $id)
    {
        $user = Auth::user();

    if (!$user || $user->role !== 'super_admin') {
        abort(403, 'Anda tidak punya akses.');
    }
        $kelompok = KelompokTani::findOrFail($id);
        $kelompok->delete();

        return redirect()->route('kelompoktani.index')->with('success', 'Kelompok Tani berhasil dihapus.');
    }
}
